Create Action Item
curl --request POST \
--url https://api.omi.me/v1/dev/user/action-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"completed": false,
"due_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.omi.me/v1/dev/user/action-items"
payload = {
"description": "<string>",
"completed": False,
"due_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', completed: false, due_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.omi.me/v1/dev/user/action-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed": true,
"description": "<string>",
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Action Items
Create Action Item
Create a new action item for the authenticated user.
- description: The action item description (1-500 characters)
- completed: Whether the action item is completed (default: False)
- due_at: Optional due date in ISO 8601 format with timezone
POST
/
v1
/
dev
/
user
/
action-items
Create Action Item
Authorizations
Send Authorization: Bearer <omi_developer_api_key>.
Body
application/json
⌘I